Package com.databricks.jdbc.api.impl.converters

## Class StringConverter

- java.lang.Object
- - com.databricks.jdbc.api.impl.converters.AbstractObjectConverter
  - - com.databricks.jdbc.api.impl.converters.StringConverter

    public class StringConverter
    extends AbstractObjectConverter

### Constructor Summary

Constructors
`StringConverter​(Object object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BigDecimal` `convertToBigDecimal()`
`BigInteger` `convertToBigInteger()`
`boolean` `convertToBoolean()`
`byte` `convertToByte()`
`byte[]` `convertToByteArray()`
`char` `convertToChar()`
`Date` `convertToDate()`
`double` `convertToDouble()`
`float` `convertToFloat()`
`int` `convertToInt()`
`long` `convertToLong()`
`short` `convertToShort()`
`String` `convertToString()`
`Timestamp` `convertToTimestamp()`

### Methods inherited from class com.databricks.jdbc.api.impl.converters.AbstractObjectConverter

`convertToAsciiStream, convertToBinaryStream, convertToCharacterStream, convertToLocalDate, convertToTimestamp, convertToUnicodeStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringConverter

    public StringConverter​(Object object)
                    throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### Method Detail

#### convertToByte

    public byte convertToByte()
                       throws DatabricksSQLException

Overrides:
  `convertToByte` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToShort

    public short convertToShort()
                         throws DatabricksSQLException

Overrides:
  `convertToShort` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToInt

    public int convertToInt()
                     throws DatabricksSQLException

Overrides:
  `convertToInt` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToLong

    public long convertToLong()
                       throws DatabricksSQLException

Overrides:
  `convertToLong` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToFloat

    public float convertToFloat()
                         throws DatabricksSQLException

Overrides:
  `convertToFloat` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToDouble

    public double convertToDouble()
                           throws DatabricksSQLException

Overrides:
  `convertToDouble` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBigDecimal

    public BigDecimal convertToBigDecimal()
                                   throws DatabricksSQLException

Overrides:
  `convertToBigDecimal` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBigInteger

    public BigInteger convertToBigInteger()
                                   throws DatabricksSQLException

Overrides:
  `convertToBigInteger` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToBoolean

    public boolean convertToBoolean()
                             throws DatabricksSQLException

Overrides:
  `convertToBoolean` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToByteArray

    public byte[] convertToByteArray()
                              throws DatabricksSQLException

Overrides:
  `convertToByteArray` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToChar

    public char convertToChar()
                       throws DatabricksSQLException

Overrides:
  `convertToChar` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToString

    public String convertToString()
                           throws DatabricksSQLException

Overrides:
  `convertToString` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToDate

    public Date convertToDate()
                       throws DatabricksSQLException

Overrides:
  `convertToDate` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`

#### convertToTimestamp

    public Timestamp convertToTimestamp()
                                 throws DatabricksSQLException

Overrides:
  `convertToTimestamp` in class `AbstractObjectConverter`
Throws:
  `DatabricksSQLException`